corMatrix.pdMat {nlme} | R Documentation

## Extract Correlation Matrix from a pdMat Object

### Description

The correlation matrix corresponding to the positive-definite matrix represented by `object` is obtained.

### Usage

    ## S3 method for class 'pdMat'
    corMatrix(object, ...)

### Arguments

`object` | an object inheriting from class `"pdMat"`, representing a positive definite matrix.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

the correlation matrix corresponding to the positive-definite matrix represented by `object`.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### See Also

`as.matrix.pdMat`, `pdMatrix`

### Examples

    pd1 <- pdSymm(diag(1:4))
    corMatrix(pd1)

[Package nlme version 3.1-128 Index]